Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1062722

Summary: Mono font display corrupted
Product: [Fedora] Fedora Reporter: Raman Gupta <rocketraman>
Component: wineAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: andreas.bierfert, chkr, itamar, lxtnow, mavit, mike, paul, rkdart, stefan
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-25 18:19:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Raman Gupta 2014-02-07 19:28:15 UTC
I am using Mono to run Keepass (version 2.25 from http://keepass.info/). Keepass runs perfectly well, but some of the fonts seem to be corrupted. For example, see the top of the "Open Database" window

http://imgur.com/ug1TumB

and the top of the "About" window:

http://imgur.com/NmArGGF


Version:

mono-core-2.10.8-4.fc19.x86_64

Comment 1 Raman Gupta 2014-04-18 23:59:55 UTC
Still a problem on mono-core-2.10.8-5.fc20.x86_64.

Comment 2 Peter Oliver 2014-04-19 10:29:25 UTC
It turns out that this issue goes away if you uninstall package wine-ms-sans-serif-fonts: http://forums.fedoraforum.org/showthread.php?t=294453#7

It seems to me that this is unlikely to be a bug in mono, since if you try to view the font MS Sans Serif in gnome-font-viewer, it appears as rectangles there, too.

Incidentally, there's a review request for a KeePass package for Fedora in bug 1089425.

Comment 3 Raman Gupta 2014-04-19 15:00:32 UTC
(In reply to Peter Oliver from comment #2)
> It turns out that this issue goes away if you uninstall package
> wine-ms-sans-serif-fonts:
> http://forums.fedoraforum.org/showthread.php?t=294453#7

Thanks Peter. I can confirm removing that package works around the issue. Thanks for re-assigning to the wine component.

Comment 4 Peter Oliver 2014-08-25 18:19:33 UTC
This is no-longer an issue now that Wine packages its fonts such they are only used by Wine.